<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});		
	$("#data").load('modul/report/daftar_pj.php');	
	$("#info_jual").hide();
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#txt_tglaw").val(data.tanggal);
				$("#txt_tglak").val(data.tanggal);
				$("#rp_tglaw").val(data.tanggal);
				$("#rp_tglak").val(data.tanggal);
			}
		});
	}
	
	$("#cari_data").click(function(){
		var tgl_awal = $("#txt_tglaw").val();
		var tgl_akhir = $("#txt_tglak").val();
		
		if(tgl_awal.length==''){
			return false;
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#txt_tglaw").focus();
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#txt_tglak").focus();
			return false;
		}
		$("#info_jual").hide();
		$("#tampil_data").show();
		$("#tampil_data").load('spv/penjualan/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});

	$("#batal_pj").click(function(){
		var kode	  		= $("#t_kodepj").val();
		var tgl_awal  	= $("#txt_tglaw").val();
		var tgl_akhir 	= $("#txt_tglak").val();
		
		var pilih = confirm('Apakah Anda sungguh-sungguh ingin batalkan '+kode+' ?');
		
		if (pilih==true){
			var kodepl	= $("#t_kodepl").val();
			var hutang	= $("#t_hutang").val();
			var total		= $("#t_total").val();
			var diskon	= $("#t_diskon").val();
			var tbayar	= $("#t_bayar").val();
			var tkurang	= $("#t_kurang").val();
			var thpp		= $("#t_thpp").val();
						
			$.ajax({
				type		: "POST",
				url		: "spv/penjualan/batal.php",
				data	: "kode="+kode+
					"&kodepl="+kodepl+
					"&hutang="+hutang+
					"&total="+total+
					"&diskon="+diskon+
					"&tbayar="+tbayar+
					"&tkurang="+tkurang+
					"&thpp="+thpp,
				timeout		: 2000,
				beforeSend	: function(){		
					$("#info").html("<img src='loading.gif' />");			
				},
				success	: function(data){
					$("#info").html(data);			
					$("#info_jual").hide();
					$("#tampil_detail").hide();
					$("#pencarian").show();
					$("#tampil_data").load('spv/penjualan/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
				}
			});
		}
	});
	
	$("#tutup_detail").click(function(){
		$("#pencarian").show();
		$("#info_jual").hide();
		$("#tampil_detail").hide();
		$("#tampil_data").show();	
	});
	
	$("#tutup_pj").click(function(){
		document.location='?module=home';
	});
	
	$("#repost").click(function(){		
		var tgl_awal  	= $("#rp_tglaw").val();
		var tgl_akhir 	= $("#rp_tglak").val();
		
		var pilih = confirm('Apakah Anda ingin memposting ulang data penjualan tanggal '+tgl_awal+' s.d '+tgl_akhir+' ?');
		
		if (pilih==true){			
			$.ajax({
				type		: "POST",
				url		: "spv/penjualan/repost.php",
				data	: "tgl_awal="+tgl_awal+
					"&tgl_akhir="+tgl_akhir,
				timeout		: 2000,
				success	: function(data){
					$("#info").html(data);					
				}
			});
		}
	});
	
	$("#tutup_rp").click(function(){
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
echo "<ul >
	       <li><a href='#data'>DAFTAR PENJUALAN</a></li>		   
	       <li><a href='#form_batal'>BATAL PENJUALAN</a></li>
		   <li><a href='#form_repost'>POSTING ULANG PENJUALAN</a></li>
      </ul>";
	  
echo "<div id='data'></div>";

echo "<div id='form_batal'>
		<div id='pencarian'>
			<table width='100%'>
				<tr>
					<td>Penjualan tanggal : <input type='date' name='txt_tglaw' id='txt_tglaw' size='10'> sampai dengan <input type='date' name='txt_tglak' id='txt_tglak' size='10'></td>					
					<td>
						<button name='cari_data' id='cari_data'>Cari</button>
						<button name='tutup_pj' id='tutup_pj'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>
			
		<div id='tampil_data' align='center'></div>
			
		<div id='info_jual'>
			<table>
				<tr>					
					<td>Nomor Faktur : <input type='text' name='t_kodepj' id='t_kodepj' size='9' readonly></td>
					<td>Tanggal : <input type='date' name='t_tanggal' id='t_tanggal' size='10' readonly></td>
					<td>Kasir : <input type='text' name='t_user' id='t_user' size='3' readonly></td>
					<td>Pelanggan : <input type='text' name='t_namapl' id='t_namapl' size='20' readonly />
						<input type='text' name='t_kodepl' id='t_kodepl' size='3' readonly />
					</td>
					<td>Kekurangan : <input type='text' name='t_hutang' id='t_hutang' size='10' class='input_header'></td>
				</tr>
			</table>				
			<table>
				<tr>					
					<input type='text' name='t_thpp' id='t_thpp' class='input_header' size='9' hidden />
					<td>Total : <input type='text' name='t_total' id='t_total' class='input_header' size='9' readonly /></td>
					<td>Potongan : <input type='text' name='t_diskon' id='t_diskon' class='input_header' size='9'></td>
					<td>Dibayar : <input type='text' name='t_bayar' id='t_bayar' class='input_header' size='9'></td>
					<td>Kembali : <input type='text' name='t_kembali' id='t_kembali' class='input_header' size='9' readonly /></td>
					<td>Kurang : <input type='text' name='t_kurang' id='t_kurang' class='input_header' size='9' readonly /></td>					
					<td></td>
					<td>
						<button name='batal_pj' id='batal_pj'>Batal</button>
						<button name='tutup_detail' id='tutup_detail'>Tutup</button>
					</td>
				</tr>
			</table>						
		</div>
			
		<div id='tampil_detail' align='center'></div>
	</div>";
	
echo "<div id='form_repost'>
		<div id='pencarian_rp'>
			<table width='100%'>
				<tr>
					<td>Penjualan tanggal : <input type='date' id='rp_tglaw' size='10'> sampai dengan <input type='date' id='rp_tglak' size='10'></td>					
					<td>
						<button id='repost'>Posting</button>
						<button id='tutup_rp'>Tutup</button>
					</td>
				</tr>
			</table>
		</div>		
	</div>";
		
echo "<div id='info' align='center'></div>";

echo "</div>";
?>
